package com.qs.mp.web.controller.api.user;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.qs.mp.admin.domain.vo.*;
import com.qs.mp.admin.service.IGroupBuyingGroupService;
import com.qs.mp.admin.service.IGroupBuyingService;
import com.qs.mp.common.core.domain.AjaxResult;
import com.qs.mp.common.core.redis.DistributedLocker;
import com.qs.mp.common.core.redis.RedisCache;
import com.qs.mp.common.enums.GroupingStatusEnum;
import com.qs.mp.common.enums.MqTopicType;
import com.qs.mp.common.pulsar.PulsarClientService;
import com.qs.mp.common.utils.DateUtils;
import com.qs.mp.common.utils.LogUtil;
import com.qs.mp.framework.redis.RedisLockKey;
import com.qs.mp.system.domain.SysUser;
import com.qs.mp.system.service.ISysUserService;
import com.qs.mp.utils.SecurityUtils;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.apache.pulsar.client.api.PulsarClientException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;
import java.util.*;
import java.util.concurrent.TimeUnit;
import java.util.stream.Collectors;

@RestController
@RequestMapping("/api/v1/mp/user/group")
@Api(tags = "拼团相关接口")
public class GroupBuyingController extends BaseApiController {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass().getSimpleName());
    //拼团活动拼团
    @Autowired
    private IGroupBuyingGroupService groupBuyingGroupService;
    @Autowired
    private IGroupBuyingService groupBuyingService;










}
